<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

  
  




  
  class MenuEinstellTool11 extends MenuEinstell
  {
    public $file = 'writecolumnstool11.php';

    
    protected function _getSights()
    {
      $result = array();

      $sightIds = array(
           41 => 'Übersicht Teilnehmer',
           42 => 'Reiter Teilnehmerdetails',
           43 => 'Reiter belegte Kurse',
          259 => 'Teilnehmerausbildung',
          260 => 'Teilnehmerwerdegang',
          411 => 'Reiter zu einem Teilnehmer',
          435 => 'Reiter Bankverbindungen'
          );

      foreach ($sightIds as $sightId => $description) {
        $result[] = $this->_createSightObj($sightId, \ToolsAPI::TOOL_TEILNEHMERINFO_MA, $description);
      }

      return $result;
    }

    public function mainmenu($pEinstieg, $editid, $p_sightid)
    {
      
      if ($pEinstieg == 1) {
        $this->getUebersichtEinstell(SessionOperations::getVarValueIntern('menutext'));
      } else { 

        echo"
        <table border='0' cellpadding='0' cellspacing='5' height='100%' width='100%'>
          <tr>
            <td valign='top' width='100%' height='5%'>
              <p align='right'><font id='text_basys_webtools'>" . KUFERTOOLS . '</font></p>
            </td>
          </tr>
        </table>
        ';

        $curr_caption = $this->_getSightDescription($p_sightid);

        switch ($p_sightid) {
          case 41: 

            echo '<h2>Einstellungen zum Tool Teilnehmerinfo - Teilnehmerübersicht</h2>';
            
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_TEILNEHMERINFO_MA);

            $arycheck = $this->getArrayCheck4Personen($objsettings, 'tn', true);
            echo'
            ' . BR_WT . BR_WT . BR_WT . "
            <form action='writecolumnstool11.php' method='POST'>
             <input type='hidden' value='Sort_Stat_TN' name='art'>
             <input type='hidden' value='" . \ToolsAPI::TOOL_TEILNEHMERINFO_MA . "' name='tool'>
  		       <input type='hidden' value='" . CleanOperations::cleanInt($p_sightid) . "' name='sightid'>
             <input type='hidden' value='" . CleanOperations::cleanStringForHtml($this->gruppe) . "' name='gruppe'>
			       <table border='0' cellpadding='0' cellspacing='0' width='100%'>
              <tr>
                <td width='17%' valign='top'>
                  <font class='text_main_menu'><b>angezeigte Teilnehmer pro Seite:</b></font>
                </td>  
                <td width='83%' colspan='2' valign='top'>"
                  . HTMLOperations::CreateInputTagPlusMinus('teilnehmerproseite', '', 'bigger-null', $objsettings->teilnehmerproseite, 'size="3"')
                  . BR_WT . BR_WT . '
                </td>
              </tr>';
              echo $this->getPersonSortierungSubMenu($arycheck, 'tn', true);
              echo'<tr>
                <td>' . BR_WT . BR_WT
                  . 'Teilnehmerberechtigungen für die Mitarbeiter vergeben: </b></font>' . BR_WT;
               
              echo"
              <font class='text_main_menu'>Bereichsrechte für die Teilnehmerauswahl benutzen:</font>"
              . "<input type='checkbox' name='useBereichsRechte' value='true' "
              . ($objsettings->useBereichsRechte == true ? 'checked' : '') . '>'
              . ' </td>
              </tr>
              <tr>
                <td>
                  ' . BR_WT . BR_WT . "<input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
                </td>
              </tr>
             </table>
            </form>";
           echo '<hr><h2>Layout-Einstellungen zum Tool "Teilnehmerinfo" - Teilnehmerübersicht -</h2>';
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 790, 80));
            break;

          case 42: 

            echo '<h2>Einstellungen für die Anzeige des Teilnehmers</h2>';
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 780, 380));
            break;

          case 43: 

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_TEILNEHMERINFO_MA);

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_TEILNEHMERINFO_MA, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_TEILNEHMERINFO_MA, $editid, $p_sightid, $this->file);     

            echo $this->getStandardEinstellFormHeader(\ToolsAPI::TOOL_TEILNEHMERINFO_MA, 'belegte_kurse', $p_sightid) . BR_WT
            . $this->createTextFieldForEmailAddress('vhsEmailTool11Section43', $objsettings->vhsEmailTool11Section43, true, '', 'Ziel-E-Mail-Adresse für Stornierungen:') . BR_WT;

            
            echo $this->getAutoStornoOhneMinTNanzahlPruefen($objsettings->stornoMinTNanzahlPruefen) . BR_WT

            . $this->getKursZeitraum($objsettings)

            . '<input type="image" title="Speichern" src="layout/button_save.gif" border="0">'
            . '</form>';

            
            echo $this->getStornoInfo($p_sightid);

            break;

          case 259: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_TEILNEHMERINFO_MA, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_TEILNEHMERINFO_MA, $editid, $p_sightid, $this->file);     
              break;

          case 260: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_TEILNEHMERINFO_MA, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_TEILNEHMERINFO_MA, $editid, $p_sightid, $this->file);     
              break;

          case 411: 

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_TEILNEHMERINFO_MA);
            echo $this->getSettings4ReiterSeite(\ToolsAPI::TOOL_TEILNEHMERINFO_MA, $p_sightid, 'reiter_seite', $objsettings->reiterBeschriftung);
            break;

          case 435: 
            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_TEILNEHMERINFO_MA, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_TEILNEHMERINFO_MA, $editid, $p_sightid, $this->file);     
            break;
        }
      }
    }

    private function getKursZeitraum($objSettings)
    {
      $checkedAttribut = $this->_checked($objSettings->useZeitraumVorbelegung);


      return
            '<div>
              <p>
                <font class="text_main_menu"><b>Kursfilter</b></font>
              </p>
              <p><label>
                <font class="text_main_menu">Zeitraum manuell vorbelegen (ansonsten anhand aktuellem Semester):</font>
                <input type="checkbox" ' . $checkedAttribut . ' name="useZeitraumVorbelegung">
              </label></p>
              <p><label>
                <font class="text_main_menu">Datum von:</font>
                <input class="date" name="zeitraumVorbelegung_beginn_dat" value="' . CleanOperations::cleanStringForHtml($objSettings->zeitraumVorbelegung_beginn_dat) . '">
              </label>
              <label>
                <font class="text_main_menu">Datum bis:</font>
                <input class="date" name="zeitraumVorbelegung_ende_dat" value="' . CleanOperations::cleanStringForHtml($objSettings->zeitraumVorbelegung_ende_dat) . '">
              </label></p>
            </div>' . BR_WT;
    }
  }